Message info
 
To:rchapman@acm.org From:Richard Hipp Subject:Re: [fossil-users] bash: ./fossil: cannot execute binary file Date:Sun, 18 Mar 2012 12:08:24 -0400
 



On Sun, Mar 18, 2012 at 10:23 AM, Bob Chapman <chapmanrec@gmail.com> wrote:
> I uploaded a new binary. Please try again.

On Centos 4.9

[~]$ ./fossil version
./fossil: /lib/tls/libc.so.6: version `GLIBC_2.4' not found (required
by ./fossil)
./fossil: /lib/tls/libc.so.6: version `GLIBC_2.7' not found (required
by ./fossil)

I can't try Ubuntu 10.04 until this afternoon.

I have uploaded a third binary for linux - this one statically linked.

You may recall that people were fussing at me for uploading a statically linked binary last time. But apparently, that is the only way to be portable on linux.


--
_______________________________________________
fossil-users mailing list
fossil-users@lists.fossil-scm.org
http://lists.fossil-scm.org:8080/cgi-bin/mailman/listinfo/fossil-users



--
D. Richard Hipp
drh@sqlite.org